View Issue Details

IDProjectCategoryView StatusLast Update
0004129SymmetricDSImprovementpublic2019-11-01 08:18
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.23Fixed in Version3.9.23 
Summary0004129: Add data_event_type variable to subselect router
DescriptionAdd a variable of DATA_EVENT_TYPE to the subselect router that is replaced with either INSERT, UPDATE, or DELETE

https://github.com/JumpMind/symmetric-ds/pull/94
TagsNo tags attached.

Relationships

related to 0004130 closedelong Add data_event_type variable to subselect router 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 059238c7

2019-10-28 12:20:03

woehrl01


Committer: elong Details Diff
0004129: Allow different subselect sql based on DATA_EVENT_TYPE (#94)
0004129
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/SubSelectDataRouter.java Diff File

SymmetricDS: 3.10 c809094f

2019-10-28 12:20:03

woehrl01


Committer: elong Details Diff
0004129: Allow different subselect sql based on DATA_EVENT_TYPE (#94)
0004129
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/SubSelectDataRouter.java Diff File

SymmetricDS: 3.9 5e0539c3

2019-10-29 13:47:41

admin

Details Diff
0004129: Add data_event_type variable to subselect router
0004129
mod - symmetric-assemble/src/asciidoc/configuration/routers/subselect.ad Diff File

SymmetricDS: 3.10 4ae7e600

2019-10-29 13:47:41

admin

Details Diff
0004129: Add data_event_type variable to subselect router
0004129
mod - symmetric-assemble/src/asciidoc/configuration/routers/subselect.ad Diff File

Issue History

Date Modified Username Field Change
2019-10-28 12:18 elong New Issue
2019-10-28 12:18 elong Status new => assigned
2019-10-28 12:18 elong Assigned To => elong
2019-10-28 12:20 elong Status assigned => resolved
2019-10-28 12:20 elong Resolution open => fixed
2019-10-28 12:20 elong Fixed in Version => 3.9.23
2019-10-28 12:20 elong Issue cloned: 0004130
2019-10-28 12:20 elong Relationship added related to 0004130
2019-10-28 13:00 elong Changeset attached => SymmetricDS 3.9 059238c7
2019-10-28 13:00 elong Changeset attached => SymmetricDS 3.10 c809094f
2019-10-29 14:00 admin Changeset attached => SymmetricDS 3.9 5e0539c3
2019-10-29 14:00 admin Changeset attached => SymmetricDS 3.10 4ae7e600
2019-11-01 08:18 admin Status resolved => closed